This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262941 - Running "openstack overcloud deploy" to update a deployment does not seem to work. [NEEDINFO]
Running "openstack overcloud deploy" to update a deployment does not seem to ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ---
: 7.0 (Kilo)
Assigned To: Giulio Fidente
yeylon@redhat.com
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 12:52 EDT by Vinay Rao
Modified: 2016-04-18 02:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 14:04:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mburns: needinfo? (vinay.rao)


Attachments (Terms of Use)

  None (edit)
Description Vinay Rao 2015-09-14 12:52:29 EDT
Description of problem:
We are working on developing a plugin into the RDO-Manager (OSP-Director) installer which will enable the installation of Nuage as a part of the installer code. As a part of the development process, we have followed this document to deploy undercloud and overcloud:

ftp://partners.redhat.com/b5d52ebbb756856c8e7e6f44880b4741/OpenStack/Documents/director-01jul-html/index.html

We have defined a few Nuage specific parameters and some updates to neutron.conf and nova.conf via heat templates and pass the same using the "-e" option to the "openstack overcloud deploy" CLI. 

What we have noticed is that after a deployment in HA mode (using overcloud_controller_pacemaker.pp) even though the hiera database gets updated, the value in the relevant configuration file is not being updated. 

For example, when we change the "core_plugin" parameter from ml2 to nuage after overcloud was deployed, in HA mode, the output of "hiera neutron::core_plugin" reflects "nuage" as the value, but the value in neutron.conf stays at ml2. 

This behavior is not seen with a single controller setup (using overcloud_controller.pp). 


Version-Release number of selected component (if applicable):

N/A

How reproducible:

Always (10/10 times)

Steps to Reproduce:
1. Deploy overcloud following the steps outlined in (for HA mode deploy 2 controllers) : ftp://partners.redhat.com/b5d52ebbb756856c8e7e6f44880b4741/OpenStack/Documents/director-01jul-html/index.html
2. Once the overcloud is deployed, try to expose core_plugin by modifying relevant files in /usr/share/openstack-tripleo-heat-templates/ on the undercloud. 
3. Once its exposed, set the neutron core plugin resource (say NeutronCorePlugin) to anything other than ml2.  
4. Re-run the openstack overcloud deploy" command with the -e option pointing to your yaml file which sets the  NeutronCorePlugin value.
5. Post deployment, go to the controller overcloud machine and in sudo mode, check the hiera value of core_plugin. If you set things up the right way, you will be able to see the value you set in the template file here. 
6. Now check neutron.conf and it continues to say "ml2".
7. This is true on both controllers in HA mode. 

Actual results:

core_plugin in neutron.conf is ml2.

Expected results:

core_plugin should be nuage

Additional info:

The workaround for this is currently to pull down the overcloud and re-run the overcloud deployment with the updated values. It takes extra time and effort to deploy overcloud over and over again (no pun intended :)).
Comment 5 Giulio Fidente 2015-10-09 06:43:22 EDT
Hi, the update seems to work for me. I'm thinking it could be something related to the specific settings you need to override. Could you please provide the following:

1. a list of the hiera parameters you are providing when launching the update
2. the exact steps performed to provision those additional parameters when launching the update
Comment 6 Jaromir Coufal 2015-10-20 08:24:09 EDT
Hi Vinay, we could not reproduce your bug. Are you still hitting this bug? Could you please provide more info for Giulio as requested? Thanks, Jarda
Comment 10 Vinay Rao 2015-10-21 13:51:49 EDT
(In reply to Jaromir Coufal from comment #6)
> Hi Vinay, we could not reproduce your bug. Are you still hitting this bug?
> Could you please provide more info for Giulio as requested? Thanks, Jarda

Hi Giulio, Jaromir,
Someone from my team will be testing this again and will get back to you soon.
Apologies for the delay.

-Vinay
Comment 11 Mike Burns 2015-11-06 09:36:15 EST
didn't actually mean to close this...
Comment 12 Mike Burns 2015-11-06 14:44:08 EST
Re-adding needinfo.

Vinay,  can you get us that information please?  If you believe this is a blocker for the 7.2 update, we really need this information by Tuesday at the latest.  If I don't hear back, I'll look to close this bug in 2 weeks, though you can always reopen if you reproduce it.

Thanks
Comment 14 Mike Burns 2015-12-09 14:04:42 EST
Closing, please reopen if you reproduce the issue

Note You need to log in before you can comment on or make changes to this bug.